<?php $__env->startSection('title', 'Users List'); ?>

<!-- Dashboard Ecommerce start -->
<?php $__env->startSection('content'); ?>
    <section>
        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header w-100">
                            <div class="content-header-left">
                                <div class="row breadcrumbs-top">
                                    <div class="col-sm-12">
                                        <h2 class="content-header-title float-left mb-0">Users List</h2>
                                    </div>
                                </div>
                            </div>
                            <div class="d-flex justify-content-end breadcrumb-wrapper">
                                <nav aria-label="breadcrumb">
                                    <ol class="breadcrumb mr-1">
                                        <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                                        <li class="breadcrumb-item">Users</li>
                                        <li class="breadcrumb-item active" aria-current="page">Users List</li>
                                    </ol>
                                </nav>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Bordered table end -->
        </div>
        <?php if($message = Session::get('success')): ?>
            <div class="demo-spacing-0 mb-1">
                <div class="alert alert-success alert-dismissible fade show" role="alert">
                    <div class="alert-body">
                        <i class="fa fa-check-circle" style="font-size:16px;" aria-hidden="true"></i>
                            <?php echo e($message); ?>

                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                    </div>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                    </button>
                </div>
            </div>
        <?php elseif($message = Session::get('error')): ?>
            <div class="demo-spacing-0 mb-1">
                    <div class="alert alert-danger alert-dismissible fade show" role="alert">
                        <div class="alert-body">
                            <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                                <?php echo e($message); ?>

                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">

                        </div>
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
           </div>
        <?php endif; ?>

        <div class="content-body">
            <!-- Bordered table start -->
            <div class="row" id="table-bordered">
                <div class="col-12">
                    <div class="card ">
                        <form class="dt_adv_search" action="<?php echo e(url('users/search')); ?>" method="POST">
                            <?php echo csrf_field(); ?>
                            <input type="hidden" name="form_type" value="search_frm">
                            <div class="card-header w-100 m-0">
                                <div class="row w-100">
                                    <div class="col-sm-8">
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <input type="text" id="user_name" class="form-control"
                                                        placeholder="User Name" name="user_name"
                                                        value="<?php echo e($user_name); ?>"  autocomplete="off" />
                                            </div>
                                            <div class="col-sm-6">
                                                <button type="submit" class="btn btn-primary">Search</button>
                                                <?php if($search): ?>
                                                    <a title="Clear" href="<?php echo e(url('users/clear_search')); ?>"
                                                        type="button" class="btn btn-outline-primary">
                                                        <i data-feather="rotate-ccw" class="me-25"></i> Clear
                                                    </a>
                                                <?php endif; ?>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-sm-4">
                                        <a href="<?php echo e(route('users.create')); ?>" class="btn btn-outline-primary float-right">
                                            <i data-feather="plus"></i><span>Add User</span></a>
                                    </div>
                                </div>
                            </div>
                        </form>
                        <div class="table-responsive">
                            <table class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th class="text-center">Sr. No</th>
                                        <th class="text-left">First Name</th>
                                        <th class="text-left">Last Name</th>
                                        <th class="text-left">Email ID</th>
                                        <th class="text-center">Pakages</th>
                                        <th class="text-center">Status</th>
                                        <th class="text-center">Actions</th>
                                    </tr>
                                </thead>
                                <tbody class="text-center">
                                   
                                    <?php if($aUsers->isNotEmpty()): ?>
                                        <?php $i =0; ?>
                                        <?php $__currentLoopData = $aUsers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $val): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php
                                                $i++;  
                                            ?>
                                            <tr>
                                                <td class="text-center"><?php echo e($i); ?></td>
                                                <td class="text-left"><?php echo e($val->firstname); ?></td>
                                                <td class="text-left"><?php echo e($val->lastname); ?></td>
                                                <td class="text-left"><?php echo e($val->email); ?></td>
                                                <td class="text-center"><i class="fa fa-vcard-o" aria-hidden="true"  onclick="show_Pakages(<?php echo e($val->id); ?>);"></i>
                                                </td>
                                                <td class="text-center">

                                                    <div class="custom-control custom-switch custom-switch-success">
                                                        <input type="checkbox" class="custom-control-input"
                                                            id="<?php echo e($val->id); ?>"
                                                            <?php echo e($val->active ? 'checked' : ''); ?>

                                                            onclick="change_status(event.target, <?php echo e($val->id); ?>);" />
                                                        <label class="custom-control-label" for="<?php echo e($val->id); ?>">
                                                            <span class="switch-icon-left"></span>
                                                            <span class="switch-icon-right"></span>
                                                        </label>
                                                    </div>
                                                </td>
                                                <td class="text-center">
                                                    <div class="dropdown">
                                                        <button type="button" class="btn btn-sm dropdown-toggle hide-arrow"
                                                            data-toggle="dropdown">
                                                            <i data-feather="more-vertical"></i>
                                                        </button>
                                                        <div class="dropdown-menu">
                                                            <a class="dropdown-item"
                                                                href="<?php echo e(route('users.edit', $val->id)); ?>">
                                                                <i data-feather="edit-2" class="mr-50"></i>
                                                                <span>Edit</span>
                                                            </a>

                                                            <form action="<?php echo e(route('users.destroy', $val->id)); ?>"
                                                                method="POST">
                                                                <?php echo e(csrf_field()); ?>

                                                                <?php echo e(method_field('DELETE')); ?>

                                                                <input type="hidden" name="_method" value="DELETE">
                                                                <button type="submit" class="dropdown-item"
                                                                    onclick="return confirm('Are you sure you want to delete this record?')">
                                                                    <i data-feather="trash"
                                                                        class="mr-50"></i>Delete</button>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php else: ?>
                                        <tr>
                                            <td colspan="8" style="text-align:center; color:red;">No Record Found</td>
                                        </tr>
                                    <?php endif; ?>
                                </tbody>
                            </table>
                            <div class="card-body">
                                <div class="d-flex justify-content-end">
                                    <?php echo e($aUsers->links()); ?>

                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
            <!-- Bordered table end -->
        </div>
        
        <div class="modal fade" id="show" role="dialog">
            <div class="modal-dialog">
               <!-- Modal content-->
               <div class="modal-content">
                  <div class="modal-header">
                     <h4 class="text-left" style="text-align:left;">User Pakage</h4>
                     <button type="button" class="close" data-dismiss="modal">&times;</button>
                  </div>
                  <div class="modal-body" style ="text-align:center;"  >
                        <table id="show_Pakages" class="table table-striped table-bordered">
                        </table>
                  </div>
               </div>
            </div>
         </div>
    </section>
<?php $__env->stopSection(); ?>
<script>
    function change_status(_this, id) {
        if (confirm("Are you sure want to change this status?")) {
            var status = $(_this).prop('checked') == true ? 1 : 0;
            let _token = $('meta[name="csrf-token"]').attr('content');

            $.ajax({
                url: 'users/change_status',
                type: 'post',
                data: {
                    _token: "<?php echo e(csrf_token()); ?>",
                    id: id,
                    status: status
                },
                success: function(result) {}
            });
        }else{
            location.reload();
        }
    }

    function show_Pakages(id){
        $.ajax({
                url: 'users/show_Pakages',
                type: 'post',
                data: {
                    _token: "<?php echo e(csrf_token()); ?>",
                    user_id: id,
                },
                success: function(response) {
                    $('#show_Pakages').html(response);
                    $("#show").modal({backdrop: true});
                }
            });
    }
</script>

<?php echo $__env->make('layout.index', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/pcmcmechanicalsw/public_html/ncap.pcmcmechanicalsweeper.com/resources/views/users/list.blade.php ENDPATH**/ ?>