@extends('layout.index')
@section('title', 'User Dashboard')
@section('content')

<style>
  .loading-overlay {
    display: none;
    background: rgb(0 0 0 / 2%);
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    top: 0;
    z-index: 9998;
    align-items: center;
    justify-content: center;
    display: flex;
   
}
</style>
<!-- header dashboard -->
      <div class="content-body">
         <div class="row" id="table-bordered">
            <div class="col-12">
               <div class="card">   
                  <div class="card-header w-100">
                     <div class="content-header-left">
                        <div class="row breadcrumbs-top">
                           <div class="col-sm-12">
                              <h2 class="content-header-title float-left mb-0">Dashboard</h2>
                           </div>
                        </div>
                     </div>
                     <div class="d-flex justify-content-end breadcrumb-wrapper">
                        <nav aria-label="breadcrumb">
                           <ol class="breadcrumb mr-1">
                              <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                              <!-- <li class="breadcrumb-item">Routes</li> -->
                              <li class="breadcrumb-item active" aria-current="page">Dashboard</li>
                           </ol>
                        </nav>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
<!-- end -->

      <!-- Dashboard Ecommerce Starts -->

      <section id="dashboard-ecommerce">
            <div class="row match-height custom-color">
                <!-- profile -->
                <div class="col-xl-3 col-md-6 col-12">
                        <div class="card card-profile">
                            <img src={{ asset('assets/img/nmc_user_dashboard.png') }} class="img-fluid card-img-top" alt="Profile Cover Photo" />

                            <div class="card-body p-1">

                            <div class="row">
                                <div class="col-sm-8" style="border-right: 1px solid #ebe9f1">
                                    <p class="m-0">Hello</p>
                                    <h3>
                                    <?php if(Session::has('logged_in.superuser') && Session::get('logged_in.superuser') !=1){
                                    $first_name = Session::get('logged_in.firstname'); 
                                    $last_name = Session::get('logged_in.lastname');
                                    echo $first_name.' '.$last_name;
                                } ?>
                                    </h3>
                                </div>
                                <div class="col-sm-4">
                                <p class="m-0">Pakage</p>

                                <?php 
                                    if(Session::has('logged_in.superuser') && Session::get('logged_in.superuser') !=1){
                                        $session_div = Session::get('Pakages'); 
                                        if(!empty($session_div)){
                                           //print_r($session_div);
                                           $total_Pakage = count($session_div);
                                        }else{
                                            $total_Pakage = 0; 
                                        }
                                    }
                                ?>
                                    <h3> <a class="badge badge-primary badge-pill" href="#" title="Show Pakage" data-toggle="modal" data-target="#myModal"><?php echo $total_Pakage; ?></a></h3>

                                    <div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                            <div class="modal-body">
                                               
                                            <?php 
                                                if(Session::has('logged_in.superuser') && Session::get('logged_in.superuser') !=1){
                                                    $session_div = Session::get('Pakages'); 
                                                    if(!empty($session_div)){
                                                    // print_r($session_div);
                                                    ?>
                                                    <table border="1" style="border-collapse: collapse;" width="100%">
                                                        <tr>
                                                            <th style="text-align:center;">Sr.No</th>
                                                            <th>&nbsp;&nbsp;Pakage</th>
                                                        </tr>
                                                    <?php  
                                                      $j = 1;
                                                        foreach($session_div as $value) {
                                                    
                                                            if($value == 2){
                                                                echo '<tr><td style="text-align:center;">'.$j.'</td><td>&nbsp;&nbsp;Pakage 1</td></tr>';
                                                            }elseif($value == 3){
                                                                echo '<tr><td style="text-align:center;">'.$j.'</td><td>&nbsp;&nbsp;Pakage 2</td></tr>';
                                                            }elseif($value == 4){
                                                                echo '<tr><td style="text-align:center;">'.$j.'</td><td>&nbsp;&nbsp;Pakage 3</td></tr>';
                                                            }
                                                            elseif($value == 5){
                                                                echo '<tr><td style="text-align:center;">'.$j.'</td><td>&nbsp;&nbsp;Pakage 4</td></tr>';
                                                            }
                    
                                                            $j++;
                                                        } ?> 

                                                    </table>
                                                   <?php }
                                                }
                                            ?>
                                            </div>
                                            </div>
                                        </div>
                                    </div>  

                                </div>
                            </div>

                                <hr class="mb-2" />
                                <div class="row">
                                    <div class="col-sm-12">
                                <div class="d-flex justify-content-between align-items-center">
                                    <h5 class="font-weight-bolder m-0">Total Garbage collection</h5>
                                    <h4 class="font-weight-bolder mb-0"> <?php if(!empty($total_garbage_collection)){ $total_tons_weight= ($total_garbage_collection['total_div_weight']/1000); echo $total_tons_weight.' Tons'; }else{ echo 0; } ?></h4>
                                </div>
                                </div>
                                </div>
                            </div>

                        </div>
                    </div>
                <!-- Total -->
                <div class="col-xl-3 col-md-6 col-12">
                    <div class="card vehicle">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-sm-12 text-center">
                                    <h5>Total Vehicle</h5>
                                    <h3><strong>
                                       <?php if(!empty($total_vehicle['total_vehicles'])){
                                       echo $total_vehicle['total_vehicles'];
                                        }else{ echo '0'; } ?></strong></h3>
                                       
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card employee">
                        <div class="card-body">
                            <div class="row">
                                <div class="col-sm-12 text-center">
                                    <h5>Total Employee</h5>
                                    <h3><strong>
                                    <?php if(!empty($total_employee)){
                                       echo $total_employee;
                                    }else{ echo '0'; } ?>
                                    </strong></h3>
                                   
                                </div>
                               
                            </div>
                        </div>
                    </div>
                </div>
                <!-- details -->
                <div class="col-xl-6 col-md-6 col-12">
                    <div class="card vehicle">
                        <div class="card-body">
                            <div class="row">
                               
                                <div class="col-sm-6 text-center">
                                    <h5>Present Vehicle</h5>
                                    <h3><strong>
                                    <?php if(!empty($total_present_vehicle['present_vehicle'])){
                                       echo $total_present_vehicle['present_vehicle'];
                                    }else{ echo '0'; } ?>
                                    </strong></h3>
                                </div>
                                <div class="col-sm-6 text-center">
                                    <h5>Absent Vehicle</h5>
                                    <h3><strong>
                                    <?php if(!empty($total_absent_vehicle)){
                                       echo $total_absent_vehicle;
                                    }else{ echo '0'; } ?>
                                    </strong></h3>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="card employee">
                        <div class="card-body">
                            <div class="row">
                              
                                <div class="col-sm-4 text-center">
                                    <h5>In Employee</h5>
                                    <h3><strong>
                                    <?php if(!empty($in_employee)){
                                       echo $in_employee;
                                    }else{ echo '0'; } ?>
                                    </strong></h3>
                                </div>
                                <div class="col-sm-4 text-center">
                                    <h5>Present Employee</h5>
                                    <h3><strong>
                                    <?php if(!empty($present_employee)){
                                       echo $present_employee;
                                    }else{ echo '0'; } ?>
                                    </strong></h3>
                                </div>
                                <div class="col-sm-4 text-center">
                                    <h5>Absent Employee</h5>
                                    <h3><strong>
                                    <?php if(!empty($absent_employee)){
                                       echo $absent_employee;
                                    }else{ echo '0'; } ?>
                                    </strong></h3>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

      <!-- Dashboard Ecommerce ends -->
      <section id="card-text-alignment">
         <div class="row mb-2">
            <div class="col-4">
               <h2 class="content-header-title float-left mb-0">Vehicle Track Checkpoints</h2>
            </div>

            <!-- <div class="col-sm-2 d-flex">
                  <div id="loader" style="display:none;">
                        <i class="fa fa-refresh fa-spin text-primary" style="font-size:22px"></i> 
                        <span class="m-0 mx-50 text-primary">Loading...</span>
                  </div>
            </div> -->

            <div class="col-sm-2 d-flex justify-content-center align-items-center">
                  <div id="loader" style="display: flex;">
                        <i class="fa fa-refresh fa-spin text-primary" style="font-size:22px"></i> 
                        <h3 class="m-0 mx-50 text-primary">Loading...</h3>
                  </div>
            </div>

            <div class="col-sm-6">
                  <ul class="list-group list-group-horizontal-sm justify-content-end">
                     <li class="list-group-item color-none-achived"><i class="fa fa-circle" aria-hidden="true"></i> <strong>None Checkpoint Achived </strong> </li>
                     <li class="list-group-item color-success"><i class="fa fa-circle" aria-hidden="true"></i> <strong>Early Arrival </strong> </li>
                     <li class="list-group-item color-danger"><i class="fa fa-circle" aria-hidden="true"></i> <strong>Late Arrival </strong> </li>
                  </ul>
            </div>
         </div>
        
         <!-- Start------------------------------------------------------------>
         <div id="checkpoint_data">
            
         </div>
        
         <?php $live_url = config('custom.base_url'); ?>
      </section>
     
     
@endsection


<script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
<script src={{ asset('app-assets/js/scripts/extensions/ext-component-blockui.js')}}></script>
<script>
	jQuery(document).ready(function(){
		get_tracked_details();
		setInterval(function(){ get_tracked_details() }, 60000);
      	
	});

  
	function get_tracked_details(){
       
		$('#loader').show();

        $.ajax({
            type: "post",
           // url: "/home/get_checkpoints",
            url: "<?php echo $live_url; ?>home/get_checkpoints",
            
            data: {
                "_token": "{{ csrf_token() }}",
            },
            success: function(response) {
               $('#loader').hide();
               $('#checkpoint_data').html(response);
            },

            error: function() {
                // alert('Error while request..');
            }   
        });
	}
</script>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>